@echo off
if [%1]==[] goto error

echo   Extracting files...

cd %~dp0

.\bin\7z -y x "%~f1" -oISO > nul
move /y .\ISO\PSP_GAME\INSDIR\RES.dat .\ISO\PSP_GAME\INSDIR\RES.old > nul

echo   Patching files...

.\bin\xdelta.exe -d -s .\ISO\PSP_GAME\INSDIR\RES.old .\files\RES.patch .\ISO\PSP_GAME\INSDIR\RES.DAT

del .\ISO\PSP_GAME\INSDIR\RES.old >nul

copy /Y .\files\font.pgf .\ISO\ > nul
copy /Y .\files\EBOOT.BIN .\ISO\PSP_GAME\SYSDIR > nul
copy /Y .\files\envpsp.dat .\ISO\PSP_GAME\USRDIR > nul
copy /Y .\files\first.dat .\ISO\PSP_GAME\USRDIR > nul
copy /Y .\RES.dat .\ISO\PSP_GAME\INSDIR > nul
copy /Y .\files\ICON0.png .\ISO\PSP_GAME\INSDIR > nul
copy /Y .\files\PIC1.png .\ISO\PSP_GAME\ > nul
copy /Y .\files\PIC1.png .\ISO\PSP_GAME\INSDIR > nul
copy /Y .\files\OIP_GEB01.pmf .\ISO\PSP_GAME\USRDIR > nul
copy /Y .\files\OIP_GEB02.pmf .\ISO\PSP_GAME\USRDIR > nul

echo   Creating ISO...

rem .\bin\mkisofs -no-iso9660-v2-warnings -quiet -sort ./files/filelist.txt -iso-level 4 -xa -A "PSP GAME" -V "OreImo" -sysid "PSP GAME" -volset "OreImo" -p "" -publisher "" -o "OreImo Tsuzuku Disc 1 English.iso" ISO/
.\bin\mkisofs -quiet -sort ./files/filelist.txt -iso-level 4 -xa -A "PSP GAME" -V "OreImo" -sysid "PSP GAME" -volset "OreImo" -p "" -publisher "" -o "OreImo Tsuzuku Disc 1 English.iso" ISO/
echo   Patching completed.

rmdir /Q /S ISO

pause

goto :end
:error
echo Incorrect patch usage.
echo Please drag and drop your original ISO over patch.bat
echo instead of double clicking.
echo.
pause
:end